For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Manage API keysIdeogram
  • Ideogram API
    • API Overview
    • API Setup
    • Account API Page
    • API Pricing
    • API Status
  • Tutorials
    • Custom Model Training
  • API Reference
    • POSTGenerate with Ideogram 4.0
    • POSTRemix with Ideogram 4.0
    • POSTGenerate a Magic Prompt with Ideogram 4.0
    • POSTDescribe with Ideogram 4.0
    • POSTGenerate with Ideogram 3.0
    • POSTGenerate with Ideogram 3.0 (Transparent Background)
    • POSTInpaint with Ideogram 3.0
    • POSTRemix with Ideogram 3.0
    • POSTReframe with Ideogram 3.0
    • POSTReplace Background with Ideogram 3.0
    • POSTRemove Background
    • POSTLayerize Text
    • POSTEdit images with a prompt
    • POSTUpscale
    • POSTDescribe
    • POSTGenerate (legacy)
    • POSTEdit with Ideogram 3.0 (legacy)
    • POSTEdit (legacy)
    • POSTRemix (legacy)
    • POSTReframe (legacy)
  • Custom Model Training
    • GETList datasets
    • POSTCreate a new dataset
    • GETGet a dataset
    • POSTUpload assets to a dataset
    • POSTTrain a custom Ideogram v3 model
    • GETList models
    • GETGet model details
LogoLogo
LogoLogo
Manage API keysIdeogram
Custom Model Training

Get a dataset

GET
https://api.ideogram.ai/datasets/:dataset_id
GET
/datasets/:dataset_id
$curl https://api.ideogram.ai/datasets/dataset_id \
> -H "Api-Key: <apiKey>"
1{
2 "dataset": {
3 "dataset_id": "dataset_id",
4 "name": "name",
5 "user_id": "user_id",
6 "creation_time": "2000-01-23 04:56:07+00:00",
7 "cover_asset_identifier": {
8 "asset_type": "RESPONSE",
9 "asset_id": "7uS_VESkRI6O3-sVgHQp_A"
10 }
11 },
12 "file_count": 0,
13 "files": [
14 {
15 "file_name": "file_name",
16 "file_size_bytes": 6
17 },
18 {
19 "file_name": "file_name",
20 "file_size_bytes": 6
21 }
22 ],
23 "custom_model_ids": [
24 "custom_model_ids",
25 "custom_model_ids"
26 ]
27}
Returns a dataset by ID, including the total number of files and a list of each file's name and size in bytes.
Was this page helpful?
Previous

Upload assets to a dataset

Next
Built with

Authentication

Api-Keystring

API key for access control. Use in the header with the name “Api-Key”

Path parameters

dataset_idstringRequired

Response

Dataset retrieved successfully
datasetobject
A dataset for organizing training images.
file_countinteger
Total number of files in the dataset.
fileslist of objects
List of files in the dataset.
custom_model_idslist of strings
IDs of all custom models trained from this dataset. Empty array if no model has been trained yet.

Errors

401
Unauthorized Error
404
Not Found Error